
Summary: Min Browser
Name: min-browser
Version:  1.32.1
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://github.com/minbrowser/min/releases
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no
Obsoletes: minbrowser
Provides: minbrowser = %{version}-%{release}

%description
Min is a smarter, faster web browser. It includes features such as:

    Information from DuckDuckGo in the searchbar.
    Built-in ad and tracker blocking
    Fuzzy search
    Full-text search for bookmarks
    Reading list
    Tabs improvements (tabs open to the right, and fade out when inactive).


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package min-%{version}-amd64.deb

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://github.com/minbrowser/min/releases/download/v%version/min-%{version}-amd64.deb"
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#fix name in menu
sd "Name=Min" "Name=Min Browser" %{buildroot}/%_datadir/applications/min.desktop

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''


%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/Min
%{_datadir}

%changelog
* Wed May 08 2024 tex - 1.32.1-1pclos2024
- new version

* Fri Mar 22 2024 tex - 1.31.2-1pclos2024
- new version

* Sun Dec 10 2023 tex - 1.30.0-1pclos2023
- new version

* Sat Sep 16 2023 tex - 1.29.0-1pclos2023
- new version

* Tue Aug 01 2023 tex - 1.28.1-1pclos2023
- new version

* Tue Jun 27 2023 tex - 1.28.0-1pclos2023
- new version

* Mon Jan 09 2023 tex - 1.27.0-1pclos2023
- new version

* Mon Oct 03 2022 tex - 1.26.0-1pclos2022
- new version

* Wed Jul 06 2022 tex - 1.25.1-1pclos2022
- new version

* Thu Mar 31 2022 tex - 1.24.0-1pclos2022
- new version

* Sun Feb 20 2022 tex - 1.23.1-1pclos2022
- new version

* Sun Feb 13 2022 tex - 1.23.0-1pclos2022
- new version

* Mon Nov 15 2021 tex - 1.22.1-1pclos2021
- new version

* Wed Oct 27 2021 tex - 1.22.0-1pclos2021
- new version

* Tue Aug 17 2021 tex - 1.21.0-1pclos2021
- new version

* Fri Jun 25 2021 tex - 1.20.0-1pclos2021
- new version

* Wed May 26 2021 tex - 1.19.2-1pclos2021
- new version

* Mon Feb 08 2021 tex - 1.18.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 1.17.3-1pclos2021
- new version

* Sat Nov 28 2020 tex - 1.17.1-1pclos2020
- new version

* Wed Nov 11 2020 tex - 1.16.1-1pclos2020
- new version

* Tue Sep 08 2020 tex - 1.16.0-1pclos2020
- new version

* Tue Sep 08 2020 tex - 1.16-1pclos2020
- new version

* Tue May 19 2020 tex - 1.14.1-1pclos2020
- new version

* Fri May 01 2020 tex - 1.14.0-1pclos2020
- new version

* Sun Apr 05 2020 tex - 1.13.2-1pclos2020
- new version

* Sat Dec 21 2019 tex - 1.11.2-1pclos2020
- new version

* Mon Sep 02 2019 tex - 1.11.0-2pclos2019
- rebuild against updates

* Sun Sep 01 2019 tex - 1.11.0-1pclos2019
- new version

* Thu Jun 20 2019 tex - 1.10.1-1pclos2019
- new version

* Sun Mar 31 2019 tex 1.9.2-1pclos2019
- new

* Wed Feb 22 2017 bb <bb> 1.5.1-1pclos2017
- create package
